<?php
$enable_spotlight_section = bloglex_get_option('enable_spotlight_section');
$spotlight_post_title_1 = bloglex_get_option('spotlight_post_title_1');
$spotlight_post_category_1 = bloglex_get_option('spotlight_post_category_1');
$spotlight_post_category_2 = bloglex_get_option('spotlight_post_category_2');

$enable_spotlight_author_meta = bloglex_get_option('enable_spotlight_author_meta');
$select_spotlight_author_meta = bloglex_get_option('select_spotlight_author_meta');
$spotlight_author_meta_title = bloglex_get_option('spotlight_author_meta_title');

$enable_spotlight_date_meta = bloglex_get_option('enable_spotlight_date_meta');
$select_spotlight_date = bloglex_get_option('select_spotlight_date');
$select_spotlight_date_meta_title = bloglex_get_option('select_spotlight_date_meta_title');
$select_spotlight_date_format = bloglex_get_option('select_spotlight_date_format');

$enable_spotlight_category_meta = bloglex_get_option('enable_spotlight_category_meta');
$spotlight_category_label = bloglex_get_option('spotlight_category_label');
$select_spotlight_category_color = bloglex_get_option('select_spotlight_category_color');
$select_spotlight_number_of_category = bloglex_get_option('select_spotlight_number_of_category');
if (empty($enable_spotlight_section)) {
    return;
}
?>
<section class="wpi-section theme-spotlight-section">
  <div class="wrapper wrapper-gutter-medium">
    <div class="row-group">
      <div class="column column-lg-12">
        <?php if ($spotlight_post_title_1) { ?>
          <header class="wpi-section-header">
            <h2 class="section-header-title"><?php echo esc_html($spotlight_post_title_1); ?></h2>
          </header>
        <?php } ?>

        <div class="spotlight-content-top">
          <?php
            $spotlight_args_1 = array(
                'post_type' => 'post',
                'posts_per_page' => 3,
                'post_status' => 'publish',
                'no_found_rows' => 1,
                'ignore_sticky_posts' => 1,
            );
            // Check for category.
            if (!empty($spotlight_post_category_1)) :
                $spotlight_args_1['tax_query'] = array(
                    array(
                        'taxonomy' => 'category',
                        'field' => 'term_id',
                        'terms' => $spotlight_post_category_1,
                    ),
                );
            endif;
            $spotlight_post_1 = new WP_Query($spotlight_args_1);
            if ($spotlight_post_1->have_posts()) :
                while ($spotlight_post_1->have_posts()) :
                    $spotlight_post_1->the_post(); ?>
                      <article id="spotlight-<?php the_ID(); ?>" class="wpi-post wpi-tile-post">
                          <?php if (has_post_thumbnail()) : ?>
                              <div class="entry-image entry-image-large image-hover-effect hover-effect-shine">
                                  <a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true"
                                      tabindex="-1">
                                      <?php
                                      the_post_thumbnail(
                                          'medium_large',
                                          array(
                                              'alt' => the_title_attribute(
                                                  array(
                                                      'echo' => false,
                                                  )
                                              ),
                                          )
                                      );
                                      ?>
                                  </a>
                              </div>
                            <?php endif; ?>

                        <div class="entry-details">
                            <?php
                            if ($enable_spotlight_category_meta) {
                                bloglex_post_category($select_spotlight_category_color, $spotlight_category_label, $select_spotlight_number_of_category);
                            }
                            ?>
                            <h3 class="entry-title entry-title-big">
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            </h3>
                            <div class="entry-meta-wrapper">

                                <?php
                                if ($enable_spotlight_date_meta) {
                                    bloglex_posted_on($select_spotlight_date_format, $select_spotlight_date_meta_title, $select_spotlight_date);
                                }
                                ?>

                                <?php
                                if ($enable_spotlight_author_meta) {
                                    bloglex_posted_by($select_spotlight_author_meta, $spotlight_author_meta_title);
                                }
                                ?>

                            </div>
                        </div>
                      </article>
                <?php
                endwhile;
              wp_reset_postdata();
            endif;
          ?>
        </div>

        <div class="spotlight-content-bottom">
          <?php
          $spotlight_args_2 = array(
              'post_type' => 'post',
              'posts_per_page' => 6,
              'post_status' => 'publish',
              'no_found_rows' => 1,
              'ignore_sticky_posts' => 1,
          );
          // Check for category.
          if (!empty($spotlight_post_category_2)) :
              $spotlight_args_2['tax_query'] = array(
                  array(
                      'taxonomy' => 'category',
                      'field' => 'term_id',
                      'terms' => $spotlight_post_category_2,
                  ),
              );
          endif;
          $spotlight_post_2 = new WP_Query($spotlight_args_2);
          if ($spotlight_post_2->have_posts()) :
              while ($spotlight_post_2->have_posts()) :
                  $spotlight_post_2->the_post(); ?>
                    <article id="spotlight-<?php the_ID(); ?>" class="wpi-post">
                      <div class="entry-details">
                          <?php
                          if ($enable_spotlight_category_meta) {
                              bloglex_post_category($select_spotlight_category_color, $spotlight_category_label, $select_spotlight_number_of_category);
                          }
                          ?>
                          <h3 class="entry-title entry-title-medium">
                              <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                          </h3>
                          <div class="entry-meta-wrapper">
  
                              <?php
                              if ($enable_spotlight_date_meta) {
                                  bloglex_posted_on($select_spotlight_date_format, $select_spotlight_date_meta_title, $select_spotlight_date);
                              }
                              ?>
  
                              <?php
                              if ($enable_spotlight_author_meta) {
                                  bloglex_posted_by($select_spotlight_author_meta, $spotlight_author_meta_title);
                              }
                              ?>
  
                          </div>
                      </div>
                    </article>
              <?php
              endwhile;
            wp_reset_postdata();
          endif; ?>
        </div>
      </div>
    </div>
  </div>
</section>